import { Line } from '../../index';
/**
 * Calculates the point of intersection between two lines.
 *
 * @param lineA                 The first line.
 * @param lineB                 The second line.
 * @param limitToFiniteSegment  If true, an intersection only counts if it falls within the bounds of the lines. If false, the lines are treated as infinite.
 * @return
 *
 * @module Intersection
 */
export declare function lineLine(lineA: Line, lineB: Line, limitToFiniteSegment?: boolean): {
    /** True if the two lines intersect. */
    readonly intersects: boolean;
    /** The parameter along `lineA` where the intersection occurs. Use [[Line.pointAt]] to get the actual point. */
    readonly lineAU: number;
    /** The parameter along `lineB` where the intersection occurs. Use [[Line.pointAt]] to get the actual point. */
    readonly lineBU: number;
};
