import { Polygon, Polyline } from '../index';
/**
 * The relationship between a point and an object. The point can either be [[inside]],
 * [[outside]], [[coincident]] (meaning it is on the edge), or [[unset]].
 */
export declare enum PointContainment {
    unset = 0,
    inside = 1,
    outside = 2,
    coincident = 3
}
/**
 * The orientation of a curve. The orientation can either be [[clockwise]], [[counterclockwise]], or [[undefined]].
 */
export declare enum CurveOrientation {
    undefined = 0,
    clockwise = 1,
    counterclockwise = 2
}
/**
 * @ignore
 *
 * Checks whether two values are equal within a set tolerance
 *
 * https://stackoverflow.com/questions/14582122/check-whether-the-number-is-nearly-equal-javascript
 *
 * @param value1
 * @param value2
 * @param epsilon
 */
export declare function approximatelyEqual(value1: number, value2: number, epsilon?: number): boolean;
/**
 * @ignore
 */
export declare function isPolylineArray(value: any): value is Polyline[];
/**
 * @ignore
 */
export declare function isPolygonArray(value: any): value is Polygon[];
